Skip to main content
GET
Get a server function run

Authorizations

Authorization
string
header
required

Cactal API key. Create one in the dashboard or via POST /apiKeys. The plaintext key is shown once at creation.

Path Parameters

websiteId
string
required
Minimum string length: 1
runId
string
required
Minimum string length: 1

Response

The run.

id
string
required
functionName
string
required
trigger
enum<string>
required
Available options:
http,
form
source
enum<string>
required
Available options:
draft,
published
triggerId
string | null
required

The form submission id a form run handled.

status
enum<string>
required
Available options:
succeeded,
failed
errorCode
enum<string> | null
required
Available options:
not_found,
function_error,
timeout,
limit_exceeded,
unavailable
errorMessage
string | null
required
cpuMs
number
required
wallMs
number
required
queueMs
number
required
memoryBytes
number
required
createdAt
string
required
input
string | null
required

The payload as JSON text.

output
string | null
required

The returned data as JSON text, when the run succeeded.

logs
object[]
required
requests
object[]
required